Can not install gem

Hi,

I am getting this error while trying to gem install cucumber:

could not find a valid gem ‘capybara’ (>=0), here is why: unable to
download data from https://rubygems.org/ - no such name
(https://rubygems.org/spec.4.8.gz)

I have tried most of the solutions I found via google search and have
had no success.

Thanks!

Karma

Hi Karma,

could you please post a stack trace?
it is strange that you cannot get it, maybe you have some issues with
internet connection and some kind of firewall blocks rubygems (which I
doubt).

RubyGems recently have been testing all their gems as there was a major
vulnerability on the site. Try gem install capybara again

I get the same error. Friend of mine thinks it could be firewall
related, since I am doing it at work. I am going to give it a try from
my home network to see if it fixes the problem.

Thanks,

Karma

This forum is not affiliated to the Ruby language, Ruby on Rails framework, nor any Ruby applications discussed here.

| Privacy Policy | Terms of Service | Remote Ruby Jobs